Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177535 - libnotify should have a Requires: notify-daemon
Summary: libnotify should have a Requires: notify-daemon
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libnotify
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-11 17:13 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-12 20:49:18 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2006-01-11 17:13:10 UTC
Description of problem:
Applications using libnotify expect something user-visible to happen if they use
the libnotify API; if notify-daemon is not installed the notifications will fail.

Suggest that libnotify should have a "Requires: notify-daemon" so that
applications using notifications can simply "Requires: libnotify" in order to
have it work sanely.

Version-Release number of selected component (if applicable):
libnotify-0.3.0-2

Comment 1 Ray Strode [halfline] 2006-01-11 19:26:37 UTC
Adding to caillon's stack

Comment 2 Christopher Aillon 2006-01-12 04:34:02 UTC
Not sure if we should actually add this Requires since technically libnotify
doesn't rely on a specific notification daemon, but we should make sure that
notify-daemon is in comps to everwhere libnotify is...

Comment 3 Dave Malcolm 2006-01-12 16:36:10 UTC
Perhaps could address that with a virtual Provides/Requires in
notify-daemon/libnotify respectively.

I've added a manual Requires: notify-daemon to evolution-2.5.4-4 since evolution
expects a notification daemon to be running; I still think it makes sense to do
this at the libnotify level, rather than adding it to every package that uses
libnotify.

Comment 4 Christopher Aillon 2006-01-12 16:39:49 UTC
Yeah, I built a virtual provides earlier this morning.  It's
desktop-notification-daemon fwiw.  Evolution is currently building to remove the
hack.


Note You need to log in before you can comment on or make changes to this bug.